import 'dart:io';

import 'package:flutter/material.dart';

import '../../storage/base/settings.dart';
import '../../storage/file/fileSettings.dart';
import '../../storage/fileView/fileViewSettings.dart';
import '../../storage/gradeAverages/gradeAveragesSettings.dart';
import '../../storage/holidays/holidaysSettings.dart';
import '../../storage/notification/notificationSettings.dart';
import '../../storage/talk/talkSettings.dart';
import '../../storage/timetable/timetableSettings.dart';
import '../pages/files/files.dart';

class DefaultSettings {
  static Settings get() {
    return Settings(
      appTheme: ThemeMode.system,
      devToolsEnabled: false,
      gradeAveragesSettings: GradeAveragesSettings(
          useGradeSystem: true,
          inputs: []
      ),
      timetableSettings: TimetableSettings(
        zoom: 40,
      ),
      talkSettings: TalkSettings(
        sortFavoritesToTop: true,
        sortUnreadToTop: false,
      ),
      fileSettings: FileSettings(
          sortFoldersToTop: true,
          ascending: true,
          sortBy: SortOption.name
      ),
      holidaysSettings: HolidaysSettings(
        dismissedDisclaimer: false,
        showPastEvents: false,
      ),
      fileViewSettings: FileViewSettings(
        alwaysOpenExternally: Platform.isIOS,
      ),
      notificationSettings: NotificationSettings(
        askUsageDismissed: false,
        enabled: false,
      )
    );
  }
}